Bug 753799 (CVE-2011-3439) - CVE-2011-3439 freetype: Multiple security flaws when loading CID-keyed Type 1 fonts
Summary: CVE-2011-3439 freetype: Multiple security flaws when loading CID-keyed Type 1...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3439
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 753837 754008 754009 754010 754011 754012 785154 806291 889398
Blocks: 753800
TreeView+ depends on / blocked
 
Reported: 2011-11-14 14:24 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-02 22:51:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1455 normal SHIPPED_LIVE Important: freetype security update 2011-11-17 04:01:09 UTC
Red Hat Product Errata RHSA-2012:0094 normal SHIPPED_LIVE Important: freetype security update 2012-02-03 03:29:22 UTC

Description Jan Lieskovsky 2011-11-14 14:24:44 UTC
Multiple security flaws (multiple unsanitized invalid user input cases and one integer overflow flaw) were found in the way FreeType, the font rendering engine performed loading of CID-keyed (composite multibyte) Type 1 fonts. A remote attacker could provide a specially-crafted font file, which once opened in an application linked against freetype could lead to crash, or, potentially arbitrary code execution with the privileges of the user running the application.

References:
[1] http://support.apple.com/kb/HT5052
[2] https://bugzilla.novell.com/show_bug.cgi?id=730124

Comment 1 Jan Lieskovsky 2011-11-14 14:26:43 UTC
This issue affects the versions of the freetype package, as shipped with
Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the freetype package, as shipped with Fedora release of 14, 15, and 16. Please schedule an update.

Comment 5 Jan Lieskovsky 2011-11-14 16:22:55 UTC
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 753837]

Comment 8 errata-xmlrpc 2011-11-16 23:05:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:1455 https://rhn.redhat.com/errata/RHSA-2011-1455.html

Comment 10 errata-xmlrpc 2012-02-02 22:33:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6 EUS - Server Only

Via RHSA-2012:0094 https://rhn.redhat.com/errata/RHSA-2012-0094.html


Note You need to log in before you can comment on or make changes to this bug.